/*
Theme Name: Ecomall Child
Theme URI: https://demo.theme-sky.com/ecomall/
Author: Theme Sky Team
Author URI: http://theme-sky.com/
Description: A Premium and Responsive WordPress theme, designed for E-Commerce websites
Template: ecomall
Version: 1.0.0
License: GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags: two-columns, left-sidebar, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, microformats, post-formats, rtl-language-support, sticky-post, threaded-comments, translation-ready
Text Domain: ecomall-child
*/

/* HOMEPAGE CAROUSEL */
.carousel {
  width: 100% !important;
  height: 50vh !important;
  position: relative !important;
}

.carousel > ul {
  margin: 0 !important;
  padding: 0 !important;
  list-style: none !important;
}

.carousel > ul > li {
	list-style: none !important;
}

.slide {
  position: absolute !important;
  inset: 0 !important;
  opacity: 0 !important;
  transition: 200ms opacity ease-in-out !important;
  transition-delay: 200ms !important;
}

.slide > img {
  display: block !important;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover !important;
  object-position: center !important;
	border-radius: 10px!important;
}

.slide[data-active] {
  opacity: 1 !important;
  z-index: 1 !important;
  transition-delay: 0ms !important;
}

.slide-heading {
  position: absolute !important;
  bottom: 90px !important;
  left: 150px !important;
  font-size: 4rem !important;
	max-width: 450px!important;
	color: white;
}

.slide-subheading {
  position: absolute !important;
  bottom: 90px !important;
  left: 120px !important;
  font-size: 1.5rem !important;
	color: white;
}

@media only screen and (max-width: 920px) {
	.slide-heading {
		font-size: 2.5rem!important;
		left: 100px!important;
	}
	
	.slide-subheading {
		font-size: 1.5rem!important;
		left: 80px!important;
	}
	
	.slide-link {
		left: 100px!important;
	}
}

.slide-link {
	position: absolute !important;
	bottom: 60px !important;
	left: 150px !important;
	font-size: 1.2rem !important;
	background-color: #2C7E8F;
	color: white;
	padding: 8px 16px;
	border-radius: 24px;
}

.slide-link {
	text-decoration: none!important;
}

.carousel-button {
  position: absolute !important;
  z-index: 2 !important;
  background: none !important;
  border: none !important;
  font-size: 4rem !important;
  top: 50% !important;
  transform: translateY(-50%) !important;
  color: rgba(255, 255, 255, .5) !important;
  cursor: pointer !important;
  border-radius: .25rem !important;
  padding: 0 .5rem !important;
  background-color: rgba(0, 0, 0, .1) !important;
}

.carousel-button:hover,
.carousel-button:focus {
  color: white !important;
  background-color: rgba(0, 0, 0, .2) !important;
}

.carousel-button:focus {
  outline: 1px solid black !important;
}

.carousel-button.prev {
  left: 1rem !important;
}

.carousel-button.next {
  right: 1rem !important;
}
/* END OF HOMEPAGE CAROUSEL */


